Skip to content

Update Group

PUT
/ai_labs/organization/{Organization_Id}/group/{Group_Id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/group/{Group_Id}/?location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"tag": "Default",
"allowed_plans": [
{
"plan_id": 1,
"plan_name": "GDC.H100.5g.3.9GB_SXM",
"max_instances": 1
}
],
"policies": [
{
"service_id": "notebook",
"create": true,
"read": true,
"update": true,
"delete": true
}
]
}'

Note: AI Labs is currently available only in the Delhi region.

Organization_Id
required
integer

Organization ID

Group_Id
required
integer

Unique identifier for the group

location
required
string
Allowed values: Delhi Chennai

Location

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

Media typeapplication/json
object
tag
required

Updated tag for the group

string

Example

Default
allowed_plans

List of allowed plans for the group with max instances

Array<object>
object
plan_id
integer

Example

1
plan_name
string

Example

GDC.H100.5g.3.9GB_SXM
max_instances
integer

Example

1
policies

List of service policies with CRUD permissions

Array<object>
object
service_id
string

Example

notebook
create
boolean

Example

true
read
boolean

Example

true
update
boolean

Example

true
delete
boolean

Example

true

Successful response